
<div class="result-item">
  {{#if this.resultItem}}
    <div class="result-item__icon" title="{{this.resultTooltip}}">
      <FaIcon @icon={{this.resultItem.icon}} class={{concat "result-item__icon--" this.resultItem.color}} />
    </div>

    <div class="result-item__instruction">
      {{#if @answer.challenge.title}}
        {{strip-instruction @answer.challenge.title this.textLength}}
      {{else}}
        {{{strip-instruction (add-space-html @answer.challenge.instruction) this.textLength}}}
      {{/if}}
    </div>

    <div class="result-item__correction">
      <span class="sr-only">{{this.resultTooltip}}</span>
      {{#if this.validationImplementedForChallengeType}}
        <button
          {{on "click" (fn @openAnswerDetails @answer)}}
          id="button-comparision-answer-{{@answer.id}}"
          class="result-item__correction-button link js-correct-answer"
          type="button"
        >
          {{t "pages.result-item.actions.see-answers-and-tutorials.label"}}
        </button>
      {{/if}}
    </div>
  {{/if}}
</div>